Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GOutConnect

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GConnect
              SEdit.Graphics.GOutConnect

    public class GOutConnect

extends GConnect

classe abstraite correspondant à la représentation graphique des connecteurs des composants (et des modules)

See Also:
  `SConnect`, `GInConnect`, `GOutConnect`

Field Summary

Fields inherited from class SEdit.Graphics.GConnect
`fillColor, r`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GOutConnect()`

Method Summary
`void` | `paint(java.awt.Graphics g)`

Methods inherited from class SEdit.Graphics.GConnect
`computeDir, contains, displayName, getRadius, intersection, setDir, snapToGrid`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, delete, drag, getBounds, getCenter, getDimension, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, init, intersection, isContainedIn, isContainedIn, isSelectable, isSelected, reInstall, select, setCenter, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, translate, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOutConnect

    public GOutConnect()

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GConnect`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.